HinfoFTP

Začínáme s aplikací Hnet Info FTP Server

Hnet Info FTP Server slouží k poskytování přístupu k souborům prostřednictvím FTP protokolu. Tato nápověda obsahuje bližší informace k používání FTP klienta.

  • Uživatelské prostředí
  • Klávesové zkratky
  • Seznam funkcí (menu)

    • Technické údaje

  • Verze: 1.0
  • Rok: 2001
  • Velikost spustitelné aplikace: cca 550 kB

    • Windows(r) je definovaná ochranná známka firmy Microsoft.


Uživatelské prostředí

Aplikační okno Hnet Info FTP Serveru se skládá z následujících částí:

  • Ikona aplikace - barva t0to ikony indikuje stav FTP serveru:
    • červená - server nelze aktivovat
    • zelená - server je aktivní, žádný klient není připojen
    • modrá - je připojen alespoň jeden klient, nedochází k přenosu dat
    • fialová - dochází k přenosu dat
    • přeškrtnutá - vyskytuje se v kombinaci s kteroukoliv s předchozích, znamená, že server nepřijímá nová připojení
  • Hlavní menu aplikace - obsahuje seznam funkcí menu FTP serveru

  • Panel nástrojů - Odtud jsou dosažitelné nejpoužívanější funkce aplikace.

  • Obrazovkový log - Největší část okna obrazovky zabírá logovací okno. Sem se zapisují logovací informace nastavené v Logging.

  • Stavový řádek - Zobrazuje počet připojených klientů, stav kláves a nápovědu k vybrané položce menu.


Panel nástrojů

aktivovat server
přestat akceptovat nová připojení
deaktivovat server, ukončit všechna připojení
zobrazit seznam aktivních připojení
zobrazit statistiky
zobrazit černou listinu
smazat obrazovkový log
obecná nastavení
přístup podle IP adres
adresy, na nichž je povoleno spuštění
serveru
logování
uživatelské zprávy
symbolické linky
správa uživatelů
správa skupin
minimalizace okna do systémové ikony
ukončení aplikace


Menu

Položky menu

Menu aplikace FTP serveru obsahuje následující položky:

Server

  • Start server - Server se aktivuje, začne očekávat nová připojení. Tato volba je dostupná z kontextového menu na ikoně FTP serveru v systémové liště.
  • Stop receiving new connections - Server přestane přijímat nová připojení, ale stávající zůstanou zachována. Tato volba je dostupná z kontextového menu na ikoně FTP serveru v systémové liště.
  • Stop Server - Server přestane přijímat nová připojení a zároveň ukončí všechna stávající. Tato volba je dostupná z kontextového menu na ikoně FTP serveru v systémové liště.
  • Export Settings - Nastavení programu jsou vyexportována do zadaného adresáře.
  • Import Settings - Nastavení programu jsou importována ze zadaného adresáře. Všichni uživatelé jsou odpojeni a server je restartován s novými konfiguračními soubory.
  • Minimize to tray - Program je minimalizován do systémové ikony. Okno programu zároveň zmizí z pruhu úloh. Tato volba je dostupná z kontextového menu na ikoně FTP serveru v systémové liště.
  • Exit - Program bude ukončen. Jsou-li aktivní nějaká připojení, je uživatel dotázán na další postup. Tato volba je dostupná z kontextového menu na ikoně FTP serveru v systémové liště.

    • Edit

  • Copy - Zkopírování vybraného textu (případně vybrané části obrazovkového logu do schránky.
  • Copy complete screen log - Dojde ke zkopírování celého obrazovkového logu do schránky.

    • View

  • Connections - Zobrazí se seznam aktivních připojení. Tato volba je dostupná z kontextového menu na ikoně FTP serveru v systémové liště.
  • Statistics - Zobrazí se statistiky uživatelů. Tato volba je dostupná z kontextového menu na ikoně FTP serveru v systémové liště.
  • Blacklist - Zobrazí se seznam zakázaných účtů (tzv. black list).
  • Clear screen log - Smaže se obrazovkový log.

    • Settings

  • General - Zobrazí se dialog obecných nastavení systému.
  • Language - Zobrazí se dialog pro změnu jazyka uživatelského rozhraní.
  • IP Access - Zobrazí se dialog pro omezení přístupu podle IP adresy.
  • IP Homes - Zobrazí se dialog pro nastavení adres, na nichž je povoleno spuštění serveru.
  • Logging - Zobrazí se dialog pro změnu možností logování.
  • Messages - Zobrazí se dialog pro změnu uživatelských zpráv při připojení a odpojení klienta.
  • Links - Zobrazí se dialog pro změnu symbolických linků.
  • Users - Zobrazí se Seznam uživatelů a jejich nastavení.
  • Groups - Zobrazí se Seznam skupin a jejich nastavení.

    • Services

  • Install - Nainstaluje FTP server jako systémovou službu.
  • Uninstall - Odinstaluje FTP server jako systémovou službu.

    • Help

  • Help topics - Zobrazí se nápovědav jazyce nastaveném pro uživatelské rozhraní. Není-li soubor nápovědy pro tento jazyk dostupný, je zobrazen dialog pro výběr souboru nápovědy. Platnost takto vybrané nápovědy je do ukončení programu.
  • About Hinfoserver - Zobrazí se okno s informacemi o tomto programu.


Klávesy

Klávesové zkratky

Obsluha serveru

Ctrl + L - ukončit přijímání nových připojení
Ctrl + Q - minimalizovat okno do nástrojové lišty
Ctrl + R - aktivovat server
Ctrl + T - deaktivovat server
Alt + F4 - ukončit program

Informační dialogy

Ctrl + B - zobrazit seznam zakázaných účtů
Ctrl + O - zobrazit seznam připojených klientů
Ctrl + S - zobrazit statistiky

Nastavení

Ctrl + E - zobrazit obecná nastavení
Ctrl + F - změnit jazyk uživatelského rozhraní
Ctrl + G - zobrazit skupiny a jejich nastavení
Ctrl + H - nastavit adresy, na kterých smí server fungovat
Ctrl + I - nastavit přístup podle IP adresy
Ctrl + K - nastavit symbolické linky
Ctrl + M - nastavit uživatelské zprávy při přihlášení a odhlášení
Ctrl + N - nastavit možnosti logování
Ctrl + U - zobrazit uživatele a jejich nastavení

Nápověda

Ctrl + C - zobrazit okno s informacemi o aplikaci
F1 - zobrazit nápovědu

Ostatní

Ctrl + A - zkopírovat celý log
Ctrl + C - zkopírovat vybraný text nebo vybranou část logu
Ctrl + W - smazat obrazovkový log


Dialog obecných nastavení

V tomto dialogu se nastavují parametry platné obecně pro celý server.

Server - způsoby přenosu...

  • Server port - Port, na němž server přijímá nová připojení. Standardní hodnota pro FTP server je 21.
  • Active mode allowed - Povoluje při přenosu dat použít aktivní mód, tj. server se připojuje ke klientovi. Tato metoda je obecně méně bezpečná a nemusí fungovat, pokud je klient skryt za firewallem a pod.
  • Passive mode allowed - Povoluje při přenosu dat použít pasivní mód, tj. klient se připojuje kserveru. Tato metoda je obecně méně bezpečnější (nevyžaduje otevřené poslouchající porty na klientské straně) a spolehlivě funguje, pokud je klient skryt za firewallem a pod. Tímto způsobem se připojují internetové prohlížeče v FTP módu.
  • Server to server transfer allowed - Povoluje přenos mezi dvěma FTP servery bez přenosu dat na klienta. Tento postup se používá při přenosu dat mezi dvěma servery propojenými vysokorychlostní linkou, přičemž klient řídící přenos potřebuje minimální přenosovou kapacitu ke oběma serverům.
  • Disable name resolving - Tato volba zakazuje převod IP adres na doménová jména.

    • Limitations - omezení

    Hodnota 0 v následujících volbách znamená deaktivaci daného omezení.

  • Max users - maximální počet uživatelů současně připojených k systému.
  • Disconnect client not logged in - Doba (v minutách) během níž se musí klient po připojení přihlásit. Neučiní-li tak, bude odpojen.
  • Maximum upload speed - Maximální přenosová rychlost (v kB/s) pro nahrávání dat na server. Tuto hodnotu lze explicitně změnit v detailním nastavení vlastností uživatele.
  • Maximum download speed - Maximální přenosová rychlost (v kB/s) pro stahování dat ze serveru. Tuto hodnotu lze explicitně změnit v detailním nastavení vlastností uživatele.

    • Transmit thread priority

    tato volba nastavuje prioritu vlákna spravujícího stahování souborů. Změnou této volby lze do určité míry měnit chování serveru při vysoké zátěži hostitelského počítače, Vysoká priorita znamená vyšší plynulost přenosu na úkor plynulosti práce na serverovém počítači a naopak.

    Timeouts - časová omezení

  • Idle timeout - doba nečinnosti (v minutách) po které je uživatel odpojen
  • Session timeout - doba připojení (v minutách) po které je uživatel odpojen

    • Anonymous access - anonymní přístup

  • Allow anonymous login - Touto volbou se aktivuje uživatelské konto s názvem anonymous.
  • Always show anonymous in user list - Je-li tato volba povolena, uživatel anonymous se zobrazuje v seznamu uživatelů i v případě, že anonymní přístup není povolen.
  • Ask for anonymous password - Není-li tato volba vybrána, po zadání jména anonymous se server klienta vůbec neptá na heslo. Tuto volbu je doporučeno nechat aktivní.
  • Check anonymous password - Po aktivaci této volby je heslo zadané uživatelem anonymous kotrolováno na syntaxi e-mailové adresy.
  • Log anonymous passwords - Aktivací této volby se povoluje zápis hesel anonymních uživatelů do lohu v otevřeném tvaru. Tato volba je doporučrna, chceme-li (v rámci možností) kontrolovat anonymní přístup k FTP serveru.

    • Misc - ostatní nastavení

  • Block anti-timeout mechanism - Touto volbou dojde k zablokování mechanismů pro kontrolu doby nečinnosti a pod. Používá se např. při dočasně poruchové lince.

  • Delete partially uploaded files - Dojde-li při nahrávání souboru na server k přerušení přenosu, je doposud nahraný fragment souboru smazán.
  • Lowercase characters in listings - Adresářové výpisy budou psány malými písmeny. Tato volba má smysl, očekáváme-li časté připojení textových klientů z unixových strojů a pod.

    • Buffers - velikosti vyrovnávacích pamětí

    Tato nastavení jsou kritická pro výkon FTP serveru a nedoporučuje se je měnit bez znalosti síťové problematiky.

  • Receive buffer size - Velikost vyrovnávací paměti při nahrávání dat na FTP server. Snížení této hodnoty zvyšuje zatížení serveru, zvýšení nemá dobrý smysl kvůli přenosovým vlastnostem sítě (viz níže). Doporučuje se zachovat původní nastavení.
  • Transmit buffer size - Velikost vyrovnávací paměti při stahování dat z FTP serveru. Zvýšení této hodnoty nad velikost nákladu packetů té které sítě vede k tzv. fragmentaci (nutnost data na jedné straně přenosu rozdělit a na druhé složit). Na druhé straně nadměrné snížení vede k plýtvání přenosovou kapacitou. Nastavená hodnota je zvolena s hledem na nejčastěji se vyskytující sítě ethernetového typu. Při použití za jiných pdmínek je doporučena konzultace se správcem sítě.

    • Users - všeobecná nastavení pro uživatele

  • Default home directory - Cesta zde zvolená bude použita jako výchozí domovský adresář pro nově vytvářené uživatele.
  • Add home directory ACL entry for new user - Při vytváření nového uživatele se pro jeho domovský adresář zároveň vytvoří záznam v tabulce přístupových práv s výchozím bezpečným nastavením (není povolen žádný zápis ani mazání).
  • Update ACL entry for home directory while changing home directory - Při změně domovského adresáře je z tabulky přístupových práv odstraněn záznam pro starý domovský adresář a novému jsou přidělena stejná práva jako měl starý.


Adresy serveru

Zde se nastavují pravidla pro adresy, na kterých smí být server spuštěn. Ovládání je identické s dialogem pro přístup podle IP adres.


Přístup podle IP adresy

Zde se nastavují adresy počítačů, ze kterých se klienti smí, případně nesmí připojovat k serveru. Lze používat jak číselné IP adresy, tak textovou podobu doménových jmen. Pokud je ovšem zakázán převod IP adres na doméhová jména, pravidla s doménovými jsény jsou ignorována.

Není-li uvedeno žádné pravidlo, je přístup automaticky povolen. Je-li uvedeno alespoň jedno pravidlo a adresa nevyhoví žádnému z nich, je přístup zamítnut. Je-li požadováno povolení přístupu pro všechny nesplňující ádné z pravidel, je nutné explicitné na konec seznamu přidat povolovací pravidlo pro libovolnou adresu (*.*.*.*). Pravidla se vyhodnocují zhora dolů, aplikuje se první použitelné pravidlo.

Rule - editace pravidla

  • Allow - Editované pravidlo bude povolovací.
  • Deny - Editované pravidlo bude zakazovací.
  • Editační pole - Do tohoto pole se zapíše maska adresy pro toto pravidlo.

    • Seznam pravidel

    Prefix "+" před pravilem znamená, že pravidlo je povolovací, prefix "-" znamená, že je zakazovací.

  • Add - Pravidlo z editační části je přidáno na začátek seznamu.
  • Remove - Označené pravidlo se odstraní ze seznamu.
  • Up - Označené pravidlo se posune v seznamu nahoru.
  • Down - Označené pravidlo se posune v seznamu dolů.

    • Zástupné znaky

    Pravidla je možno definovat nejen pro konkrétní adresu, ale i skupinu adres (maska adresy) pomocí zástupných znaků.

    K dispozici jsou následující zástupné znaky"

  • ? - Otazník je zástupcem právě za jeden znak (např "tin?" zahrnuje tina, tinb, tinc...).
  • * - Hvězdička je zástupcem libovolného počtu znaků do nejbližší tečky (např. *.kolej.mff.cuni.cz zahrnuje všechny počítače této domény: artaban.kolej.mff.cuni.cz, whale.kolej.mff.cuni.cz, hal9000.kolej.mff.cuni.cz a ostatní)
  • - - Pomlčka je znakem pro interval. Význam má pouze v číselných IP adresách, protože v doménových jménech je pomlčka povolený znak (např 192.168.1-3 zahrnuje 192.168.1, 192.168.2 a 192.168.3).


Volba jazyka

V tomto okně se provádí změna jazyka uživatelského rozhraní. Změna se projeví při příštím spuštění programu. Jazyky, pro které není dostupná přislušná jazyková mutace, jsou nepřístupné.


Symbolické linky

Zde se konfigurují linky na soubory a adresáře. Je to obdoba symbolických linků na unixových systémech. Slouží pro zjednodušení procházení adresářové struktury, případně na zpřístupnění jiného adresáře při zamčení v domovském adresáři.

  • Physical name - jméno souboru nebo adresáře, na který link ukazuje.
  • Browse file - otevře se dialog pro výběr souboru, na který link ukazuje
  • Browse dir - otevře se dialog pro výběr adresáře, na který link ukazuje
  • Link directory - jméno adresáře, ve kterém se link objeví
  • Browse - otevře se dialog pro výběr adresáře, ve kterém se link objeví
  • Link name name - jméno linku
  • Add - přidání linku do seznamu
  • Remove - odstranění vybraného linku ze seznamu


Logování

Zde se nastavuje rozsah a cíl logovaných informací. Lze logovat na obrazovku a do souboru. Soubor lze recyklovat po předem zadané době. Log lze také odesílat e-mailem.

General - logování obecných informací

Zaškrtnutí ve sloupci File způsobí logování daného typu informací do souboru. Zaškrtnutí ve sloupci Screen způsobí logování daného typu informací na obrazovku.

  • All to screen - Vybere všechny informace pro logování na obrazovku.
  • None to screen - Žádné informace nebudou logovány na obrazovku.
  • All to file - Vybere všechny informace pro logování do souboru.
  • None to file - Žádné informace nebudou logovány do souboru.

    • Typy logovaných informací

  • System - Systémové informace (aktivace, deaktivace...)
  • Error - Chyby systému (neúspěné otevření souboru...)
  • Security - Bezpečnostní informace (neúspěšné přihlášení...)
  • Connections - Informace o připojeních
  • upload - Informace o nahrávání souborů
  • Download - Informace o stahovaní souborů

    • Debug - logování ladících informací

    Zaškrtnutí ve sloupci File způsobí logování daného typu informací do souboru. Zaškrtnutí ve sloupci Screen způsobí logování daného typu informací na obrazovku.

  • All to screen - Vybere všechny informace pro logování na obrazovku.
  • None to screen - Žádné informace nebudou logovány na obrazovku.
  • All to file - Vybere všechny informace pro logování do souboru.
  • None to file - Žádné informace nebudou logovány do souboru.

    • Typy logovaných informací

  • Ftp requests - Příkazy FTP klienta
  • Ftp replies - Odpovědi FTP serveru
  • Network - Síťové informace
  • Configuration - Změny v konfiguraci
  • Visual - Změny v uživatelském rozhraní
  • Advanced - Informace určené pr ovývojáře systému, mohou způsobit vygenerování mnohamegabytovýhc logů. Nepoužívat.

    • File logging - logování do souboru

  • Log to file - Aktivuje se souborový (HTML) log a budou do něj vypisovány informace označené pro logování do souboru.
  • Log to custom path - Při aktivaci této volby se logovací soubory vytváří v adresáři definovaném v poli Log directory. Je-li volba neaktivní, jsou logy vytvářeny ve stejném adresáři jako je spustitelný program aplikace.
  • Log filename mask - V tomto poli se definuje maska pro pojmenovávání logovacích souborů. Tato volba má význam obzvláště při automatické recyklaci logů. V názvu souboru lze použít následující zástupce:
    • %Y - bude nahrazeno rokem vytvoření
    • %M - bude nahrazeno měsícem vytvoření
    • %D - bude nahrazeno dnem vytvoření
    • %W - bude nahrazeno týdnem vytvoření
    Např. s maskou "log-%Y-%M-%D.htm" bude dne 30.12.2001 vytvořen logovací soubor s názvem "log-2001-12-30.htm".
  • Logfile refresh interval - Určuje, jak často je stávající log uzavřen a vytvořen nový s novým názvem podle masky:
    • Never - nikdy
    • Daily - každý den
    • Weekly - každý týden
    • Monthly - každý měsíc
    • Yearly - každý rok
  • Send as e-mail - Souborový log se otevře jako příloha nového e-mailu v mailové aplikaci balíku Hnet Info. Adresu je nutno vyplnit tam. Pro odeslání je vyrobena kopie logu zkopírováním do adresáře MailedLogs.
  • Clear log - Vyprázdní se aktuální souborový log.

    • Screen logging - logování na obrazovku

  • Log to screen - Aktivuje se obrazovkový log a budou do něj vypisovány informace označené pro logování na obrazovku.


Uživatelské zprávy

V tomto okně se nastavují zprávy, které se klientovi vypíši při připojení k serveru resp. před odpojením od serveru. Zprávy mohou obsahovat makra. Délka zprávy je omezena na cca 8000 znaků. Nadbytečné znaky budou oříznuty.

SignOn message

  • Use custom sign-on message - Místo standardní systémové hlášky bude při připojení klienta k serveru vypsán text obsažený v daném souboru.
  • Browse - Zobrazí se dialog pro výběru souboru s přihlašovací zprávou.
  • Edit - soubor s přihlašovací zprávou bude otevřen v editoru odpovídajícím jeho příponě.

    • SignOff message

  • Use custom sign-off message - Místo standardní systémové hlášky bude před odpojením klienta od serveru vypsán text obsažený v daném souboru.
  • Browse - Zobrazí se dialog pro výběru souboru s odhlašovací zprávou.
  • Edit - Soubor s odhlašovací zprávou bude otevřen v editoru odpovídajícím jeho příponě.

    • Makra v uživatelských zprávách

    Vyskytne-li se v souboru některé z následujících maer, bude nahrazeno odpovídajícím textem:

  • %SERVER_IP; - bude nahrazeno IP adresou serveru
  • %SERVER_NAME; - bude nahrazeno doménovým jménem serveru
  • %CLIENT_IP; - bude nahrazeno IP adresou klienta
  • %CLIENT_NAME; - bude nahrazeno doménovým jménem klienta
  • %CONNECTION_COUNT; - bude nahrazeno počtem aktuálně připojených uživatelů
  • %MAX_CONNECTIONS; - bude nahrazeno maximálním počtem uživatelů
  • %DATE; - bude nahrazeno aktuálním datumem ve formátu yyyy-mm-dd
  • %DATE_YEAR; - bude nahrazeno rokem aktuálního data
  • %DATE_MONTH; - bude nahrazeno měsícem aktuálního data
  • %DATE_DAY; - bude nahrazeno dnem aktuálního data
  • %DATE_DAYOFWEEK; - bude nahrazeno aktuálním dnem týdne
  • %TIME; - bude nahrazeno aktuálním časem ve formátu h:mm:ss
  • %TIME_HOUR; - bude nahrazeno hodinou aktuálního času
  • %TIME_MINUTE; - bude nahrazeno minutou aktuálního času
  • %TIME_SECOND; - bude nahrazeno sekundou aktuálního času


Správa uživatelů

V tomto okně je soustředěna manipulace s uživatelskými účty

Available users - seznam uživatelů

  • New - otevře se dialog pro vytvoření nového uživatele
  • Delete - vybraný uživatel je smazán
  • Change password - otevře se dialog pro změnu hesla vybraného uživatele
  • Rename - otevře se dialog pro přejmenování vybraného uživatele
  • Clone - Otevře se dialog pro vytvoření klonu vybraného uživatele. Je identický s dialogem pro zadání nového uživatele s tím rozdílem, že je předvyplněno jméno klonovaného uživatele se suffixem "_clone".
  • Disable login - vybranému uživateli se zakáže logování k FTP serveru
  • Add home directory to ACL list for new user - Při vytváření nového uživatele se pro jeho domovský adresář zároveň vytvoří záznam v tabulce přístupových práv s výchozím bezpečným nastavením (není povolen žádný zápis ani mazání).

    Home directory - domovský adresář

  • Change - otevře se okno pro výběr nového domovského adresáře
  • Update ACL entry for home directory while changing home directory - Při změně domovského adresáře je z tabulky přístupových práv odstraněn záznam pro starý domovský adresář a novému jsou přidělena stejná práva jako měl starý.

    • Další nastavení pro vybraného uživatele

  • Permissions - zobrazí se tabulka přístupových práv
  • Quota - zobrazí se dialog datových kvót
  • IP access - Zobrazí se dialog pro povolení resp. zákaz přihlášení uživatele z té které IP adresy. Ovládání je analogické dialogu pro omezení přístupu podle IP adresy.
  • U/D ratios - zobrazí se dialog pro nastavení poměru objemu nahrávaných a stahovaných dat
  • User details - zobrazí se dialog detailních nastavení uživatele


Detailní nastavení uživatele

Zde se nastavují detailnější parametry uživatele.

Speed limits - omezení přenosových rychlostí

  • Ignore system speed limits - zde nastavené hodnoty jsou použity místo hodnost nastavených v dialogu obecných nastavení
  • Maximum upload speed - Maximální přenosová rychlost (v kB/s) pro nahrávání dat na server. Hodnota 0 deaktivuje omezení rychlosti.
  • Maximum download speed - Maximální přenosová rychlost (v kB/s) pro stahování dat ze serveru. Hodnota 0 deaktivuje omezení rychlosti.

    • Timeouts - časová omezení

  • Ignore system timeouts - zde nastavené hodnoty jsou použity místo hodnost nastavených v dialogu obecných nastavení
  • Idle timeout - doba nečinnosti (v minutách) po které je uživatel odpojen
  • Session timeout - doba připojení (v minutách) po které je uživatel odpojen

    • Misc - ostatní nastavení

  • Hide hidden files - ve výpisech adresářů nebudou zobrazeny soubory označené jako skryté
  • Always allow login - uživatel se může připojit bez ohledu na počet připojených uživatelů (vhodné pro administrátorské účty)
  • Lock in home directory - uživatel se smí pohybovat pouze v podstromu svého domovského adresáře (s výjimkou symbolických linků)

    • Limitations - omezení

  • Logins from the same IP - omezení počtu připojení z jedné IP adresy
  • Max users connected - maximální počet připojení uživatelů s tímto uživatelským jménem (0 deaktivuje toto omezení)
  • Stop listening only - Pouze se přestanou akceptovat nová připojení, FTP server se neukončí, stávající připojení nebudou ovlivněna.

    • Attack avoidance - ochrana proti útoku hrubou silou

    Tato volba chrání server před pokusem uhodnout heslo postupným zkoušením různých kombinací. Hodnoty pro konkrétní jméno uživatele lze explicitně změnit v detailním nastavení vlastností uživatele.

  • Ignore system AA settings - zde nastavené hodnoty jsou použity místo hodnost nastavených v dialogu obecných nastavení

    • V prvním editačním poli se maximální nastavuje počet neúspěšného zadání hesla během doby (v sekundách), která je zadána v druhém poli. Dojde-li v tomto intervalu k překročení počtu neúspěšného zadání hesla, je uživatel umístěn na černou listinu a jeho účet zablokován na dobu (v minutách) uvedenou ve třetím políčku.

    Login message file - uživatelská zpráva po přihlášení uživatele

  • Use custom login message - Místo standardní systémové hlášky bude po nalogování uživatele vypsán text obsažený v daném souboru.
  • Browse - zobrazí dialog pro výběr souboru s uživatelskou zprávou

    • Lze použít stejnou sadu maker jako u uživatelských zpráv, navíc jsou definována tato makra:

  • %USERNAME; - zobrazí dialog pro výběr souboru s uživatelskou zprávou
  • %HOME_DIRECTORY; - zobrazí dialog pro výběr souboru s uživatelskou zprávou


Přístupová práva

V tomto dialogu se konfigurují přístupová práva pro adresáře a soubory.

Přístupová práva

  • New - Zobrazí se dialog pro výběr souboru nebo adresáře, pro který se vytváří záznam v tabulce přístupových práv.
  • Edit - Zobrazí se dialog změnu výběr souboru nebo adresáře vybraného záznamu v tabulce přístupových práv.
  • Delete - odstranění vybraného záznamu v tabulce přístupových práv

    • Typy přístupových práv

  • Allow - operace je pro daný soubor či adresář explicitně povolena
  • Inherit - operace je pro daný soubor či adresář se dědí od nadřazeného adresáře (nelze-li zdědit explicitní povolení, je operace zakázána)
  • Deny - operace je pro daný soubor či adresář explicitně zakázána

    • Typy operací

  • Read - právo číst soubor
  • List - práva na výpis adresáře nebo informací o souboru
  • Write/Create files - právo zapisovat do souboru a vytvářet nové soubory
  • Append - právo připojovat data na konec souboru
  • Delete/Remove subdirs - právo mazat adresáře a soubory
  • Change directory - smysl pouze pro adresáře, právo učinit adresář pracovním adresářem
  • Create subdirs - smysl pouze pro adresáře, právo vytvářet nové podadresáře
  • Recursive rights - smysl pouze pro adresáře, soubory či adresáře v podstromu mohou dědit práva od tohoto adresáře


Datové kvóty

datové kvóty omezují množství dat, které může mít uživatel na serveru.

  • Enable quota - Aktivuje se systém datových kvót pro daného uživatele.
  • Maximal quota - Maximální množství dat (v kB), která může uživatel na serveru mít. Po jejím překročení je zakázáno další nahrávání dat na server.
  • Current quota - Aktuální množství dat (v kB), které má uživatel na disku. Při nahrávání na server se hodnota zvyšuje, při mazání souborů se snižuje. Zde ji lze nainicializovat na libovolnou hodnotu.
  • Calculate - Aktuální množství dat je nastaveno na velikost domovského adresáře uživatele.


Poměr nahraných a stažených dat

Zde se konfiguruje povolený poměr nahraných a stažených dat.

  • U/D ratios enabled - popolení řízení poměru nahraných a stažených dat
  • Files per session - kritériem je počet souborů za připojení
  • Files per user - kritériem je počet souborů na uživatele
  • Bytes per session - kritériem je počet bytů za připojení
  • Bytes per user - kritériem je počet bytů na uživatele
  • Upload - nahrané soubory resp. objem dat
  • Download - stažené soubory resp. objem dat
  • Ratio - poměr nahraných ku staženým
  • Clean - vynulování toho kterého kritéria

    • Nastavení hodnot

    Limit se nastavuje jako poměr dvou celých čísel

  • Upload - počet jednotek (souborů/bytů) které je nutno nahrát, aby bylo možno stáhnout
  • Download - jednotek (souborů/bytů)
  • Credit - počet kB, které má uživatel k dobru (může je stáhnout, aniž by musel něco nahrát)


Správa skupin

V tomto okně je soustředěna manipulace se skupinami uživatelů.

Groups - seznam skupin

  • New - zobrazí se dialog pro vytvoření nové skupiny
  • Delete - vybraná skupina je smazána
  • Rename - Zobrazí se dialog pro přejmenování vybrané skupiny. Je identický s dialogem pro přejmenování uživatele.
  • Add new users to this group - nově vytvoření uživatelé budou automaticky přidáváni do takto označené skupiny

    • Member management - správa členů vybrané skupiny

  • Members - seznam členů vybrané skupiny
  • Remove - odebrání vybraného člena ze skupiny
  • Remove all - odebrání všech členů ze skupiny
  • Non-members - seznam ostatních uživatelů (nečlenů)
  • Add - přidání vybraného nečlena do skupiny
  • Add all - přidání všech nečlenů do skupiny

    • Další nastavení skupiny

  • Permissions - Zobrazí se tabulka přístupových práv. Ovládání je analogické tabulce přístupových práv pro uživatele.


Seznam aktivních připojení

V tomto okně je zobrazen seznam připojených klientů.

  • ID - pořadové číslo připojení od posledního spuštění serveru
  • User - jméno uživatele
  • Computer (IP) - IP adresa, případně jméno počítače
  • Status - stav připojení:
    • Not logged - nebylo zadáno uživatelské jméno
    • Not authenticated - bylo zadáno uživatelské jméno, nebylo zadáno heslo
    • Idle - klient je neaktivnÍ
    • waiting for answer - klient čeká na odpověď od serveru
    • Upload - klient nahrává soubor na server
    • Download - klient stahuje soubor, je zobrazen stav stahování v procentech
    • Reading directory - klient stahuje adresářový výpis
  • Last used file/directory - naposledy použitý soubor či adresář
  • Last command - poslední FTP příkaz

    • Položky seznamu

    Údaje o připojení

  • IP address -
  • Computer name -
  • Connected since -
  • Connection time -
  • Idle time -
  • Average speed - průměrná rychlost komunikace se serverem
  • Current uploaded - počet kB dat nahraných na server při poslední přenosu
  • Current upload time - čas strávený posledním nahráváním dat na server
  • Current upload speed - okamžitá rychlost posledního nahrávání dat na server
  • Transfer upload speed - průměrná rychlost posledního nahrávání dat na server
  • Session uploaded - počet kB dat nahraných na server
  • Session upload time - čas strávený nahráváním dat na server
  • Session upload speed - průměrná rychlost nahrávání dat na server
  • Session files uploaded - počet souborů nahraných na server během tohoto připojení
  • Quota - stav datových kvót (jsou-li neaktivní, je zobrazeno --/--)
  • Current downloaded - počet kB dat stažených ze serveru při poslední přenosu
  • Current download time - čas strávený posledním stahováním dat ze serveru
  • Current download speed - okamžitá rychlost posledního stahování dat ze serveru
  • Transfer download speed - průměrná rychlost posledního stahování dat ze serveru
  • Session downloaded - počet kB dat stažených ze serveru
  • Session download time - čas strávený stahováním dat ze serveru
  • Session download speed - průměrná rychlost stahování dat ze serveru
  • Session files downloaded - počet souborů satžených ze serveru během tohoto připojení

    • Kontextové menu

    Při stisknutí pravého tlačítka myši nad některým připojením se objeví kontextové menu s následujícími položkami:

  • Disconnect - odpojení klienta od serveru
  • Kill transfer - ukončení přenosu, probíhá-li nějaký
  • Blacklist user - zobrazí se dialog pro zařazení uživatele na černou listinu
  • Blacklist IP - zobrazí se dialog pro zařazení IP adresy na černou listinu

    • Ostatní ovládací prvky

  • Disconnect - odpojení vybraného klienta
  • Disconnect all - odpojení všech klientů
  • Refresh - aktualizace seznamu připojení
  • Auto refresh - automatická aktualizace seznamu připojení každou sekundu


Statistiky uživatelů

V tomto okně se zobrazují statistiky uživatelů.

Položky statistiky

  • User - jméno uživatele
  • Count - počet připojení od posledního nulování statistik
  • Last seen - datum a čas posledního připojení
  • Last address - IP adresa, ze které se uživatel naposledy připojil
  • Session time - doba posledního připojení
  • Total time - celková doba připojení od posledního nulování statistik
  • DL [MB] - objem dat (v MB) stažených ze serveru od posledního nulování statistik
  • UL [MB] - objem dat (v MB) na server od posledního nulování statistik
  • U/D - poměr množství nahraných ku staženým datům od posledního nulování statistik

    • Ostatní ovládací prvky

  • Clear - smazání statistik
  • Export - Otevře se dialog pro výběr souboru. Do něj bude statistika vyexportována ve formátu HTML.
  • Email - Statistika ve formátu HTML se otevře jako příloha nového e-mailu v mailové aplikaci balíku Hnet Info. Adresu je nutno vyplnit tam.
  • Refresh - aktualizace statistik
  • Auto refresh - automatická aktualizace statistik každou sekundu


Přidání IP adresy na černou listinu

V editačním poli se uvede počet minut, na který se IP adresa umisťuje na černou listinu.


Přidání uživatele na černou listinu

V editačním poli se uvede počet minut, na který se uživatel umisťuje na černou listinu.


Černá listina

Černá listina slouží k dočasnému zakázání přístupu k serveru. K trvalému zakázání přístupu z IP adresy slouží omezení přístupu podle IP adresy, pro trvalý zákaz logování uživatele položka "Disable login" ve vlastnostech uživatele.

Na černou listinu lze přidávat uživatele nebo IP adresy ze seznamu aktivních připojení prostřednictvím voleb Blacklist user nebo Blacklist IP z kontextového menu.

Toto je černá listina užinatelů.

Toto je černá listina IP adres.

Ovládací prvky

  • Username blacklist - přepnutí na čërnou listinu uživatelů
  • IP blacklist - přepnutí na čërnou listinu IP adres
  • Remove - odstranění vybraného záznamu z černé listiny
  • Refresh - aktualizace černé listiny
  • Auto refresh - automatická aktualizace černé listiny každou sekundu
  • Blacklisted for - počet minut, na který byl uživatel či adresa umístěn/a na černou listinu
  • remaining - počet minut do odstranění z černé listiny


Přidání skupiny

V tomto dialogu se zadává jmého nově vytvářené skupiny.


Přidání uživatele

V tomto dialogu se zadá uživatelské jmého a heslo pro přidávaného uživatele. Heslo se zadává pro kontrolu dvakrát. V databázi programu je heslo uloženo v zašifrované podobě.


Změna hesla

V tomto dialogu se mění přístupové heslo.Heslo se zadává pro kontrolu dvakrát. V databázi programu je heslo uloženo v zašifrované podobě.


Ukončovací dialog

Toto dialogové okno se objeví, je-li při ukončování FTP serveru k němu připojen alespoň jeden klient. Je možné si vybrat z následujících reřimů ukončení:

  • Disconnect all and exit - Všichni klienti budou okamžitě odpojeni a program bude ukončen.
  • Exit after all users log off - S ukončením programu se počká do chvíle, než se všichni klienti odhlásí. Během čekání na odhlášení všech klientů se neakceptují nová připojení.
  • Exit after all transfers will be finished - S ukončením programu se počká do chvíle, kdy nebude probíhat žádný přenos dat. Během čekání na ukončení přenosů se neakceptují nová připojení.
  • Stop listening only - Pouze se přestanou akceptovat nová připojení, FTP server se neukončí, stávající připojení nebudou ovlivněna.


Změna jména

V tomto dialogu se mění jméno uživatele nebo skupiny.